From: "Georg Müller" <georgmueller@gmx.net>
To: git@vger.kernel.org
Subject: Re: [PATCH] perf probe: skip test_uprobe_from_different_cu if there is no gcc
Date: Fri, 28 Jul 2023 17:13:36 +0200 [thread overview]
Message-ID: <e52ab62e-935a-358d-4728-afaf070a7d27@gmx.net> (raw)
In-Reply-To: <20230728145305.449904-2-georgmueller@gmx.net>
Sorry, wrong list... :(
Am 28.07.23 um 16:52 schrieb Georg Müller:
> Without gcc, the test will fail.
>
> On cleanup, ignore probe removal errors. Otherwise, in case of an error
> adding the probe, the temporary directory is not removed.
>
> Fixes: 56cbeacf1435 ("perf probe: Add test for regression introduced by switch to die_get_decl_file()")
> Cc: Arnaldo Carvalho de Melo <acme@redhat.com>
> Cc: Masami Hiramatsu (Google) <mhiramat@kernel.org>
> Cc: Adrian Hunter <adrian.hunter@intel.com>
> Cc: Alexander Shishkin <alexander.shishkin@linux.intel.com>
> Cc: Ian Rogers <irogers@google.com>
> Cc: Ingo Molnar <mingo@redhat.com>
> Cc: Jiri Olsa <jolsa@kernel.org>
> Cc: Mark Rutland <mark.rutland@arm.com>
> Cc: Namhyung Kim <namhyung@kernel.org>
> Cc: Peter Zijlstra <peterz@infradead.org>
> Signed-off-by: Georg Müller <georgmueller@gmx.net>
> Link: https://lore.kernel.org/r/CAP-5=fUP6UuLgRty3t2=fQsQi3k4hDMz415vWdp1x88QMvZ8ug@mail.gmail.com/
> ---
> tools/perf/tests/shell/test_uprobe_from_different_cu.sh | 8 +++++++-
> 1 file changed, 7 insertions(+), 1 deletion(-)
>
> diff --git a/tools/perf/tests/shell/test_uprobe_from_different_cu.sh b/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
> index 00d2e0e2e0c2..319f36ebb9a4 100755
> --- a/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
> +++ b/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
> @@ -4,6 +4,12 @@
>
> set -e
>
> +# skip if there's no gcc
> +if ! [ -x "$(command -v gcc)" ]; then
> + echo "failed: no gcc compiler"
> + exit 2
> +fi
> +
> temp_dir=$(mktemp -d /tmp/perf-uprobe-different-cu-sh.XXXXXXXXXX)
>
> cleanup()
> @@ -11,7 +17,7 @@ cleanup()
> trap - EXIT TERM INT
> if [[ "${temp_dir}" =~ ^/tmp/perf-uprobe-different-cu-sh.*$ ]]; then
> echo "--- Cleaning up ---"
> - perf probe -x ${temp_dir}/testfile -d foo
> + perf probe -x ${temp_dir}/testfile -d foo || true
> rm -f "${temp_dir}/"*
> rmdir "${temp_dir}"
> fi
> --
> 2.41.0
>
prev parent reply other threads:[~2023-07-28 15:13 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-07-28 14:52 [PATCH] perf probe: skip test_uprobe_from_different_cu if there is no gcc Georg Müller
2023-07-28 15:13 ` Georg Müller [this message]
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=e52ab62e-935a-358d-4728-afaf070a7d27@gmx.net \
--to=georgmueller@gmx.net \
--cc=git@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox